# .clang-tidy
---
Checks: >
  -*,
  bugprone-*,
  clang-analyzer-*,
  cppcoreguidelines-*,
  modernize-*,
  performance-*,
  readability-*,
  portability-*,
  
  -modernize-use-trailing-return-type,
  -readability-avoid-const-params-in-decls,
  -cppcoreguidelines-macro-usage,
  -cppcoreguidelines-avoid-do-while

ExcludeHeaderFilterRegex: '_generated.*'

CheckOptions:
  - key: readability-implicit-bool-conversion.AllowPointerConditions
    value: true